summaryrefslogtreecommitdiff
path: root/script
diff options
context:
space:
mode:
Diffstat (limited to 'script')
-rwxr-xr-xscript/build/firmware/coreboot9
1 files changed, 7 insertions, 2 deletions
diff --git a/script/build/firmware/coreboot b/script/build/firmware/coreboot
index bfc059a5..15430255 100755
--- a/script/build/firmware/coreboot
+++ b/script/build/firmware/coreboot
@@ -28,7 +28,7 @@ v="romdir cbdir cbfstool cbrom initmode displaymode cbcfg targetdir tree arch"
v="${v} grub_timeout ubdir blobs_required board grub_scan_disk uboot_config"
eval "$(setvars "n" ${pv})"
eval "$(setvars "" ${v})"
-eval "$(setvars "" boards _displaymode _payload _keyboard all)"
+eval "$(setvars "" boards _displaymode _payload _keyboard all targets)"
main()
{
@@ -56,8 +56,13 @@ main()
eval "$(setvars "" ${v})"
board="${x}"
check_target
- prepare_target
+ prepare_target
+ [ -f "bin/${x}" ] || continue
+ targets="bin/${x}\n${targets}"
done
+
+ [ -z ${targets} ] && err "No ROM images were compiled"
+ printf "ROM images available in these directories:\n${targets%, }\n"
}
check_target()